Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class LineSpacingDescriptor

    java.lang.Object
      org.apache.poi.hwpf.usermodel.LineSpacingDescriptor

All Implemented Interfaces:
  java.lang.Cloneable

    public final class LineSpacingDescriptor

extends java.lang.Object
implements java.lang.Cloneable

This class is used to determine line spacing for a paragraph.

Author:
  Ryan Ackley

Constructor Summary
`LineSpacingDescriptor()`
`LineSpacingDescriptor(byte[] buf, int offset)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`void` | `serialize(byte[] buf, int offset)`
`void` | `setDyaLine(short dyaLine)`
`void` | `setMultiLinespace(short fMultiLinespace)`
`int` | `toInt()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineSpacingDescriptor

    public LineSpacingDescriptor()

### LineSpacingDescriptor

    public LineSpacingDescriptor(byte[] buf,
                                 int offset)

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### setMultiLinespace

    public void setMultiLinespace(short fMultiLinespace)

### toInt

    public int toInt()

### serialize

    public void serialize(byte[] buf,
                          int offset)

### setDyaLine

    public void setDyaLine(short dyaLine)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD